/* card */
.card {
  border: 0;
  border-radius: 0;
  // FIXME! XXX
  background-color: #303030;
  &-header,
  &-footer,
  &-img,
  &-img-top {
    border: 0;
    border-radius: 0;
  }
}

/* /card */

.featured-post {
  .card-title {
    margin-left: -10%;

    @include tablet {
      margin-left: 0;
      font-size: 30px;
    }
  }

  &-slider {
    @media screen and (min-width: 600px) {
      .slick-dots {
        position: absolute;
        height: 100%;
        right: 0;
        top: 0;
        display: flex;
        flex-direction: column;

        li {
          flex: 1 1 auto;
          position: relative;
          list-style-type: none;

          button {
            position: absolute;
            padding: 0;
            border: 0;
            background: $border-color;
            color: transparent;
            overflow: hidden;
            width: 1px;
            height: 100%;
          }

          &.slick-active {
            button {
              background: $primary-color;
              width: 5px;
              left: -2px;
            }
          }
        }
      }
    }

    @media screen and (max-width: 599px) {
      .slick-dots {
        position: absolute;
        height: 5px;
        width: 100%;
        right: 0;
        bottom: -40px;
        display: flex;
        padding: 0;

        li {
          flex: 1 1 auto;
          position: relative;
          list-style-type: none;
          width: 100%;
          height: 100%;

          button {
            position: absolute;
            padding: 0;
            border: 0;
            background: $border-color;
            color: transparent;
            overflow: hidden;
            width: 100%;
            height: 1px;
          }

          &.slick-active {
            button {
              background: $primary-color;
              top: -2px;
              height: 5px;
            }
          }
        }
      }
    }
  }
}

.post-meta {
  span {
    color: #444;
    font-weight: 500;
  }
}

/* recent post */
.recent-post-thumb {
  height: 100px;
  width: 100px;
  border-radius: 50%;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
}

.small-post-border {
  &:not(:last-child) {
    border-right: 1px solid $border-color;

    @include desktop {
      border-right: 0;
      border-bottom: 1px solid $border-color;
      margin-bottom: 20px;
      padding-bottom: 20px;
    }
  }
}

/* widget */
.widget {
  text-align: center;
  margin-bottom: 50px;

  &-title {
    display: inline-block;
    border-top: .5px solid $primary-color;
    border-bottom: .5px solid $primary-color;
    padding: 10px 0;
    margin-bottom: 20px;
  }

  li {
    margin-bottom: 10px;

    a {
      color: $text-color;

      &:hover {
        color: $primary-color;
      }
    }
  }
}

.social-links {
  li {
    a {
      height: 35px;
      width: 35px;
      background: $primary-color;
      color: $white;
      display: block;
      line-height: 35px;

      &:hover {
        color: $white;
      }
    }
  }
}

/* pagination */
.pagination {
  justify-content: center;

  .page-item {

    .page-link {
      display: inline-block;
      width: 40px;
      height: 40px;
      text-align: center;
      color: $primary-color;
      border-top: 0;
      border-bottom: 0;

      &:hover {
        background: $primary-color;
        //color: $white;
        color: $gray;
      }
    }

    &:first-child,
    &:last-child {
      .page-link {
        border-radius: 0;
      }
    }

    &.active {
      .page-link {
        background: $white;
        color: $text-color;
        border: 1px solid $primary-color;
      }
    }
  }
}

.author-thumb-sm {
  max-height: 165px;
  max-width: 165px;
}


/* markdown style */
.content {
  * {
    margin-bottom: 20px;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    margin-bottom: 10px;
  }

  ol {
    padding-left: 20px;
  }

  ul {
    padding-left: 0;

    li {
      position: relative;
      padding-left: 20px;
      margin-bottom: 15px;
      list-style-type: none;

      &::before {
        position: absolute;
        content: "\e71b";
        font-family: $icon-font;
        font-size: 14px;
        left: 0;
        top: 1px;
        color: $primary-color;
        transition: .3s ease;
      }
    }
  }

  table {
    text-align: left;
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;

    border: 1px solid #dee2e6;

    th,
    td {
      padding: .75rem;
      vertical-align: top;
      border: 1px solid #dee2e6
    }

    thead {
      background: darken($color: $gray, $amount: 2);
    }

    tbody {
      background: $gray;

      td {
        text-align: left !important;
      }
    }
  }


  blockquote {
    padding: 20px;
    background: $gray;
    border-left: 3px solid $primary-color;

    p {
      margin-bottom: 0;
      color: $text-color-dark;
      font-style: italic !important;
    }
  }


  pre {
    padding: 10px 20px;
    background: $gray;

    code {
      border: 0;
      background: transparent;
      padding: 0;
    }
  }

  a {
    color: $primary-color;

    &:hover {
      text-decoration: underline;
    }
  }

  code {
    padding: 3px 5px;
    background: $gray;
    border: 1px solid $border-color;
    border-radius: 3px;
    color: $text-color-dark;
  }

}

/* /markdown style */
